Subject: Changing the page header results in cache clears of all pages in the same directory
Description

When changing fields of the page header (e.g. title) using the tce (process_datamap function) in an own extension, all caches of the
pages in the same directory are deleted. As we got hundreds of pages in the same directory, the process takes very long (up to two
minutes).
Mysql logs the following queries for each page in the same folder
                  137 Query     SELECT DISTINCT identifier FROM cf_cache_hash_tags WHERE cf_cache_hash_tags.tag =
'pageId_37382'
                  137 Query     DELETE FROM cf_cache_hash_tags WHERE cf_cache_hash_tags.tag = 'pageId_37382'
                  137 Query     SELECT DISTINCT identifier FROM cf_extbase_object_tags WHERE cf_extbase_object_tags.tag =
'pageId_37382'
                  137 Query     DELETE FROM cf_extbase_object_tags WHERE cf_extbase_object_tags.tag = 'pageId_37382'
                  137 Query     SELECT DISTINCT identifier FROM cf_cache_pages_tags WHERE cf_cache_pages_tags.tag =
'pageId_37382'
                  137 Query     DELETE FROM cf_cache_pages_tags WHERE cf_cache_pages_tags.tag = 'pageId_37382'
                  137 Query     SELECT DISTINCT identifier FROM cf_cache_pagesection_tags WHERE cf_cache_pagesection_tags.tag =
'pageId_37382'
                  137 Query     DELETE FROM cf_cache_pagesection_tags WHERE cf_cache_pagesection_tags.tag = 'pageId_37382'
                  137 Query     SELECT DISTINCT identifier FROM cf_cache_rootline_tags WHERE cf_cache_rootline_tags.tag =
'pageId_37382'
                  137 Query     DELETE FROM cf_cache_rootline_tags WHERE cf_cache_rootline_tags.tag = 'pageId_37382'
                  137 Query     SELECT DISTINCT identifier FROM cf_extbase_reflection_tags WHERE cf_extbase_reflection_tags.tag =
'pageId_37382'
                  137 Query     DELETE FROM cf_extbase_reflection_tags WHERE cf_extbase_reflection_tags.tag = 'pageId_37382'
                  137 Query     SELECT DISTINCT identifier FROM cf_extbase_typo3dbbackend_tablecolumns_tags WHERE
cf_extbase_typo3dbbackend_tablecolumns_tags.tag = 'pageId_37382'
                  137 Query     DELETE FROM cf_extbase_typo3dbbackend_tablecolumns_tags WHERE
cf_extbase_typo3dbbackend_tablecolumns_tags.tag = 'pageId_37382'
                  137 Query     SELECT DISTINCT identifier FROM cf_extbase_datamapfactory_datamap_tags WHERE
cf_extbase_datamapfactory_datamap_tags.tag = 'pageId_37382'
                  137 Query     DELETE FROM cf_extbase_datamapfactory_datamap_tags WHERE
cf_extbase_datamapfactory_datamap_tags.tag = 'pageId_37382'

History
#1 - 2014-04-30 14:15 - Markus Klein
- Is Regression set to No

This is the intended behaviour (as it has always been). This is not an excuse, but I can't tell you at the moment why all siblings are cleared too, there
was a good reason.

#2 - 2014-04-30 19:37 - Philipp Gampe
- Status changed from New to Needs Feedback

Please check your TSconfig for this page: clearCache_pageSiblingChildren
http://docs.typo3.org/typo3cms/TSconfigReference/PageTsconfig/TCEmain/Index.html

The cache is cleared because it most likely effects the rendering.

#3 - 2014-08-27 15:27 - Alexander Opitz

This is done to get the menu updated on all pages down there. Else you will end up with different titles in the menu for a page on the sibling pages.

So, can we close this issue?

#4 - 2014-12-14 18:04 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
